curl -X GET "https://api.helicone.ai/v1/prompt-2025/id/prompt_123/version_456/inputs?requestId=req_789" \
-H "Authorization: Bearer $HELICONE_API_KEY"
const response = await fetch(
'https://api.helicone.ai/v1/prompt-2025/id/prompt_123/version_456/inputs?requestId=req_789',
{
method: 'GET',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
},
}
);
const inputs = await response.json();
{
"request_id": "req_789",
"version_id": "version_456",
"inputs": {
"user_name": "Alice",
"product_name": "Pro Plan",
"support_level": "premium"
}
}
Prompts
Get Prompt Inputs
Get the inputs used for a specific prompt version in a request
GET
/
v1
/
prompt-2025
/
id
/
{promptId}
/
{versionId}
/
inputs
curl -X GET "https://api.helicone.ai/v1/prompt-2025/id/prompt_123/version_456/inputs?requestId=req_789" \
-H "Authorization: Bearer $HELICONE_API_KEY"
const response = await fetch(
'https://api.helicone.ai/v1/prompt-2025/id/prompt_123/version_456/inputs?requestId=req_789',
{
method: 'GET',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
},
}
);
const inputs = await response.json();
{
"request_id": "req_789",
"version_id": "version_456",
"inputs": {
"user_name": "Alice",
"product_name": "Pro Plan",
"support_level": "premium"
}
}
Returns the input variables that were used when a specific prompt version was executed in a request.
Path Parameters
string
required
The unique identifier of the prompt
string
required
The unique identifier of the prompt version
Query Parameters
string
required
The request ID to retrieve inputs from
Response
string
The request ID
string
The version ID
object
Key-value pairs of input variables and their values used in the request
curl -X GET "https://api.helicone.ai/v1/prompt-2025/id/prompt_123/version_456/inputs?requestId=req_789" \
-H "Authorization: Bearer $HELICONE_API_KEY"
const response = await fetch(
'https://api.helicone.ai/v1/prompt-2025/id/prompt_123/version_456/inputs?requestId=req_789',
{
method: 'GET',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
},
}
);
const inputs = await response.json();
{
"request_id": "req_789",
"version_id": "version_456",
"inputs": {
"user_name": "Alice",
"product_name": "Pro Plan",
"support_level": "premium"
}
}
Was this page helpful?